window.Gleam.initSearch([{"doc":"radish","title":"radish","content":"![radish](https://raw.githubusercontent.com/massivefermion/radish/main/banner.jpg)\n\n[![Package Version](https://img.shields.io/hexpm/v/radish)](https://hex.pm/packages/radish)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/radish/)\n\n# radish\n\nA Redis client for Gleam\n\n## &lt;img width=32 src=&quot;https://raw.githubusercontent.com/massivefermion/radish/main/icon.png&quot;&gt; Quick start\n\n```sh\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n\n## &lt;img width=32 src=&quot;https://raw.githubusercontent.com/massivefermion/radish/main/icon.png&quot;&gt; Installation\n\n```sh\ngleam add radish\n```\n\n## &lt;img width=32 src=&quot;https://raw.githubusercontent.com/massivefermion/radish/main/icon.png&quot;&gt; Usage\n\n```gleam\nimport gleam/option\nimport radish\nimport radish/list\n\npub fn main() {\n  let assert Ok(client) = radish.start(&quot;localhost&quot;, 6379, 1024)\n\n  radish.set(client, &quot;requests&quot;, &quot;64&quot;, option.Some(60_000), 1024)\n  radish.decr(client, &quot;requests&quot;, 1024)\n\n  list.lpush(\n    client,\n    &quot;names&quot;,\n    [&quot;Gary&quot;, &quot;Andy&quot;, &quot;Nicholas&quot;, &quot;Danny&quot;, &quot;Shaun&quot;, &quot;Ed&quot;],\n    1024,\n  )\n  list.lpop(client, &quot;names&quot;, 1024)\n}\n```","url":"index.html"},{"doc":"radish/error","title":"Error","content":"pub type Error {\n  RESPError\n  ActorError\n  ConnectionError\n  TCPError(mug.Error)\n  ServerError(String)\n}\n\nRESPError\n\n\nActorError\n\n\nConnectionError\n\n\nTCPError(mug.Error)\n\n\nServerError(String)\n\n\nSynonyms:\nradish/error.Error\nradish/error Error","url":"radish/error.html#Error"},{"doc":"radish/error","title":"radish/error","content":"","url":"radish/error.html"},{"doc":"radish/list","title":"llen","content":"pub fn llen(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n\nSynonyms:\nradish/list.llen\nradish/list llen","url":"radish/list.html#llen"},{"doc":"radish/list","title":"lpop","content":"pub fn lpop(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(String, Error)\n\nSynonyms:\nradish/list.lpop\nradish/list lpop","url":"radish/list.html#lpop"},{"doc":"radish/list","title":"lpop_multiple","content":"pub fn lpop_multiple(\n  client: Subject(Message),\n  key: String,\n  count: Int,\n  timeout: Int,\n) -&gt; Result(List(String), Error)\n\nSynonyms:\nradish/list.lpop_multiple\nradish/list lpop_multiple","url":"radish/list.html#lpop_multiple"},{"doc":"radish/list","title":"lpush","content":"pub fn lpush(\n  client: Subject(Message),\n  key: String,\n  values: List(String),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n\nSynonyms:\nradish/list.lpush\nradish/list lpush","url":"radish/list.html#lpush"},{"doc":"radish/list","title":"lpushx","content":"pub fn lpushx(\n  client: Subject(Message),\n  key: String,\n  values: List(String),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n\nSynonyms:\nradish/list.lpushx\nradish/list lpushx","url":"radish/list.html#lpushx"},{"doc":"radish/list","title":"lrange","content":"pub fn lrange(\n  client: Subject(Message),\n  key: String,\n  start: Int,\n  end: Int,\n  timeout: Int,\n) -&gt; Result(List(String), Error)\n\nSynonyms:\nradish/list.lrange\nradish/list lrange","url":"radish/list.html#lrange"},{"doc":"radish/list","title":"rpop","content":"pub fn rpop(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(String, Error)\n\nSynonyms:\nradish/list.rpop\nradish/list rpop","url":"radish/list.html#rpop"},{"doc":"radish/list","title":"rpop_multiple","content":"pub fn rpop_multiple(\n  client: Subject(Message),\n  key: String,\n  count: Int,\n  timeout: Int,\n) -&gt; Result(List(String), Error)\n\nSynonyms:\nradish/list.rpop_multiple\nradish/list rpop_multiple","url":"radish/list.html#rpop_multiple"},{"doc":"radish/list","title":"rpush","content":"pub fn rpush(\n  client: Subject(Message),\n  key: String,\n  values: List(String),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n\nSynonyms:\nradish/list.rpush\nradish/list rpush","url":"radish/list.html#rpush"},{"doc":"radish/list","title":"rpushx","content":"pub fn rpushx(\n  client: Subject(Message),\n  key: String,\n  values: List(String),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n\nSynonyms:\nradish/list.rpushx\nradish/list rpushx","url":"radish/list.html#rpushx"},{"doc":"radish/list","title":"radish/list","content":"","url":"radish/list.html"},{"doc":"radish","title":"append","content":"pub fn append(\n  client: Subject(Message),\n  key: String,\n  value: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n\nSynonyms:\nradish.append\nradish append","url":"radish.html#append"},{"doc":"radish","title":"decr","content":"pub fn decr(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n subtracts 1 from an integer and returns the new value\nSynonyms:\nradish.decr\nradish decr","url":"radish.html#decr"},{"doc":"radish","title":"decr_by","content":"pub fn decr_by(\n  client: Subject(Message),\n  key: String,\n  value: Int,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n subtracts an arbitrary value from an integer and returns the new value\nSynonyms:\nradish.decr_by\nradish decr_by","url":"radish.html#decr_by"},{"doc":"radish","title":"del","content":"pub fn del(\n  client: Subject(Message),\n  keys: List(String),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n\nSynonyms:\nradish.del\nradish del","url":"radish.html#del"},{"doc":"radish","title":"exists","content":"pub fn exists(\n  client: Subject(Message),\n  keys: List(String),\n  timeout: Int,\n) -&gt; Result(Int, Error)\n\nSynonyms:\nradish.exists\nradish exists","url":"radish.html#exists"},{"doc":"radish","title":"get","content":"pub fn get(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(String, Error)\n\nSynonyms:\nradish.get\nradish get","url":"radish.html#get"},{"doc":"radish","title":"incr","content":"pub fn incr(\n  client: Subject(Message),\n  key: String,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n adds 1 to an integer and returns the new value\nSynonyms:\nradish.incr\nradish incr","url":"radish.html#incr"},{"doc":"radish","title":"incr_by","content":"pub fn incr_by(\n  client: Subject(Message),\n  key: String,\n  value: Int,\n  timeout: Int,\n) -&gt; Result(Int, Error)\n adds an arbitrary value to an integer and returns the new value\nSynonyms:\nradish.incr_by\nradish incr_by","url":"radish.html#incr_by"},{"doc":"radish","title":"incr_by_float","content":"pub fn incr_by_float(\n  client: Subject(Message),\n  key: String,\n  value: Float,\n  timeout: Int,\n) -&gt; Result(Float, Error)\n adds an arbitrary float value to a number and returns the new value\nSynonyms:\nradish.incr_by_float\nradish incr_by_float","url":"radish.html#incr_by_float"},{"doc":"radish","title":"keys","content":"pub fn keys(\n  client: Subject(Message),\n  pattern: String,\n  timeout: Int,\n) -&gt; Result(List(String), Error)\n\nSynonyms:\nradish.keys\nradish keys","url":"radish.html#keys"},{"doc":"radish","title":"mget","content":"pub fn mget(\n  client: Subject(Message),\n  keys: List(String),\n  timeout: Int,\n) -&gt; Result(List(String), Error)\n\nSynonyms:\nradish.mget\nradish mget","url":"radish.html#mget"},{"doc":"radish","title":"mset","content":"pub fn mset(\n  client: Subject(Message),\n  kv_list: List(#(String, String)),\n  timeout: Int,\n) -&gt; Result(String, Error)\n\nSynonyms:\nradish.mset\nradish mset","url":"radish.html#mset"},{"doc":"radish","title":"set","content":"pub fn set(\n  client: Subject(Message),\n  key: String,\n  value: String,\n  ttl: Option(Int),\n  timeout: Int,\n) -&gt; Result(String, Error)\n\nSynonyms:\nradish.set\nradish set","url":"radish.html#set"},{"doc":"radish","title":"set_existing","content":"pub fn set_existing(\n  client: Subject(Message),\n  key: String,\n  value: String,\n  ttl: Option(Int),\n  timeout: Int,\n) -&gt; Result(String, Error)\n only sets a key if it already exists, returns the old value\nSynonyms:\nradish.set_existing\nradish set_existing","url":"radish.html#set_existing"},{"doc":"radish","title":"set_new","content":"pub fn set_new(\n  client: Subject(Message),\n  key: String,\n  value: String,\n  ttl: Option(Int),\n  timeout: Int,\n) -&gt; Result(String, Error)\n only sets a key if it does not already exist\nSynonyms:\nradish.set_new\nradish set_new","url":"radish.html#set_new"},{"doc":"radish","title":"start","content":"pub fn start(\n  host: String,\n  port: Int,\n  timeout: Int,\n) -&gt; Result(Subject(Message), StartError)\n\nSynonyms:\nradish.start\nradish start","url":"radish.html#start"},{"doc":"radish","title":"radish","content":"","url":"radish.html"}]);